import request from '@/utils/request'
import Qs from 'qs';


//申请详情
export function ParkingApplicationDetail(params) {
	return request({
		url: '/mobile/personInfoApi/ParkingApplicationDetail',
		data: Qs.stringify(params),
		method: 'post',
	})
}
//申请
export function submitParkingApply(params) {
	return request({
		url: '/mobile/personInfoApi/submitParkingApply',
		data: Qs.stringify(params),
		method: 'post',
	})
}
//车库位子
export function parkingList(params) {
	return request({
		url: '/mobile/parkingInfoApi/parkingList',
		data: Qs.stringify(params),
		method: 'post',
	})
}
//申请单位
export function parkingUnit(params) {
	return request({
		url: '/mobile/parkingInfoApi/parkingUnit',
		data: Qs.stringify(params),
		method: 'post',
	})
}
//车库照片
export function parkingPicList(params) {
	return request({
		url: '/mobile/parkingInfoApi/parkingPicList',
		data: Qs.stringify(params),
		method: 'post',
	})
}
//------------审核列表--------------
export function ParkingApplicationList(params) {
	return request({
		url: '/mobile/personInfoApi/ParkingApplicationList',
		data: Qs.stringify(params),
		method: 'post',
	})
}


//------------审核通过（1，线下）--------------
export function ParkingApplicationConfirmLease(params) {
	return request({
		url: '/mobile/personInfoApi/ParkingApplicationConfirmLease',
		data: Qs.stringify(params),
		method: 'post',
	})
}
//------------审核通过（2，线上）--------------
export function ParkingApplicationSendOrder(params) {
	return request({
		url: '/mobile/personInfoApi/ParkingApplicationSendOrder',
		data: Qs.stringify(params),
		method: 'post',
	})
}
//------------审核通过--------------
export function ParkingApplicationClose(params) {
	return request({
		url: '/mobile/personInfoApi/ParkingApplicationClose',
		data: Qs.stringify(params),
		method: 'post',
	})
}